Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 171030 - should not offer to copy a cd if the drive is empty
Summary: should not offer to copy a cd if the drive is empty
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target FC6Desktop
TreeView+ depends on / blocked
 
Reported: 2005-10-17 14:49 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-13 02:23:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 321066 None None None Never

Description Matthias Clasen 2005-10-17 14:49:35 UTC
The context menu of the cd drive in "my computer" should desensitise a
few menu items, e.g. copy cd, if the drive is empty.

Comment 1 Ray Strode [halfline] 2005-10-28 20:08:53 UTC
This may be related to bug 170068.

Comment 2 Ray Strode [halfline] 2005-11-07 21:24:31 UTC
Hi Bastien,

Did you offer to write a patch for this?

Comment 3 Bastien Nocera 2005-11-08 10:17:49 UTC
I offered to write a patch for gnome-vfs to detect whether there is a disc
inside the drive (so that we could tell whether there's something to
play/copy/whatever even if the disc isn't mounted).

It would be required for this feature to be implemented.

Comment 4 Matthias Clasen 2005-11-08 12:46:38 UTC
Was the offer accepted ?

Comment 5 Bastien Nocera 2005-11-08 13:28:25 UTC
Was up to Alex :)

Comment 6 Matthias Clasen 2005-11-08 13:54:20 UTC
alex> I think its probably ok though. As long as we have a way to return both
has media, no media and don't know.

hadess> ok, i'll file a bug upstream and work on that when i have some time

Comment 7 Christopher Aillon 2006-01-27 21:55:13 UTC
was this ever upstreamed?

Comment 8 Matthias Clasen 2006-01-27 22:04:16 UTC
I think the upstream bug is 
http://bugzilla.gnome.org/show_bug.cgi?id=321066

Comment 9 Bastien Nocera 2006-05-19 09:35:23 UTC
There's already an upstream patch to disable the entry if the disc is blank:
http://bugzilla.gnome.org/show_bug.cgi?id=326173

It should be easy to disable it if the drive is empty as well.

Comment 10 Matthias Clasen 2006-07-25 17:59:14 UTC
Seems that there is some silly controversy holding the patch back upstream.
Should be just go with Bastians patch ?

Comment 11 Bastien Nocera 2006-07-26 08:42:36 UTC
I asked Jon to review it.

Comment 12 Matthias Clasen 2006-08-04 20:57:25 UTC
Fix will be in the next upstream version.

Comment 13 Matthias Clasen 2006-08-13 02:23:01 UTC
fixed in 2.15.6


Note You need to log in before you can comment on or make changes to this bug.